project "Irrlicht"
    kind "StaticLib"

    includedirs { "include", "zlib", "jpeglib", "libpng" }
    defines { "_IRR_STATIC_LIB_" }
    flags { "NoExceptions", "NoRTTI" }
    files { "CCgMaterialRenderer.cpp", "CD3D9CgMaterialRenderer.cpp", "CDefaultSceneNodeAnimatorFactory.cpp", "CDefaultSceneNodeFactory.cpp", "CGeometryCreator.cpp", "CMeshCache.cpp", "CMeshManipulator.cpp", "COpenGLCgMaterialRenderer.cpp", "CSceneManager.cpp", "C3DSMeshFileLoader.cpp", "CSMFMeshFileLoader.cpp", "CAnimatedMeshHalfLife.cpp", "CAnimatedMeshMD2.cpp", "CAnimatedMeshMD3.cpp", "CB3DMeshFileLoader.cpp", "CBSPMeshFileLoader.cpp", "CColladaFileLoader.cpp", "CCSMLoader.cpp", "CDMFLoader.cpp", "CIrrMeshFileLoader.cpp", "CLMTSMeshFileLoader.cpp", "CLWOMeshFileLoader.cpp", "CMD2MeshFileLoader.cpp", "CMD3MeshFileLoader.cpp", "CMS3DMeshFileLoader.cpp", "CMY3DMeshFileLoader.cpp", "COBJMeshFileLoader.cpp", "COCTLoader.cpp", "COgreMeshFileLoader.cpp", "CPLYMeshFileLoader.cpp", "CQ3LevelMesh.cpp", "CSkinnedMesh.cpp", "CSTLMeshFileLoader.cpp", "CXMeshFileLoader.cpp", "CAnimatedMeshSceneNode.cpp", "CBillboardSceneNode.cpp", "CBoneSceneNode.cpp", "CCameraSceneNode.cpp", "CCubeSceneNode.cpp", "CDummyTransformationSceneNode.cpp", "CEmptySceneNode.cpp", "CLightSceneNode.cpp", "CMeshSceneNode.cpp", "COctreeSceneNode.cpp", "CQuake3ShaderSceneNode.cpp", "CShadowVolumeSceneNode.cpp", "CSkyBoxSceneNode.cpp", "CSkyDomeSceneNode.cpp", "CSphereSceneNode.cpp", "CTerrainSceneNode.cpp", "CTextSceneNode.cpp", "CVolumeLightSceneNode.cpp", "CWaterSurfaceSceneNode.cpp", "CParticleAnimatedMeshSceneNodeEmitter.cpp", "CParticleAttractionAffector.cpp", "CParticleBoxEmitter.cpp", "CParticleCylinderEmitter.cpp", "CParticleFadeOutAffector.cpp", "CParticleGravityAffector.cpp", "CParticleMeshEmitter.cpp", "CParticlePointEmitter.cpp", "CParticleRingEmitter.cpp", "CParticleRotationAffector.cpp", "CParticleScaleAffector.cpp", "CParticleSphereEmitter.cpp", "CParticleSystemSceneNode.cpp", "CMetaTriangleSelector.cpp", "COctreeTriangleSelector.cpp", "CSceneCollisionManager.cpp", "CTerrainTriangleSelector.cpp", "CTriangleBBSelector.cpp", "CTriangleSelector.cpp", "CSceneLoaderIrr.cpp", "CSceneNodeAnimatorCameraFPS.cpp", "CSceneNodeAnimatorCameraMaya.cpp", "CSceneNodeAnimatorCollisionResponse.cpp", "CSceneNodeAnimatorDelete.cpp", "CSceneNodeAnimatorFlyCircle.cpp", "CSceneNodeAnimatorFlyStraight.cpp", "CSceneNodeAnimatorFollowSpline.cpp", "CSceneNodeAnimatorRotation.cpp", "CSceneNodeAnimatorTexture.cpp", "CColladaMeshWriter.cpp", "CIrrMeshWriter.cpp", "COBJMeshWriter.cpp", "CPLYMeshWriter.cpp", "CSTLMeshWriter.cpp", "CVideoModeList.cpp", "CSoftwareDriver.cpp", "CSoftwareTexture.cpp", "CTRFlat.cpp", "CTRFlatWire.cpp", "CTRGouraud.cpp", "CTRGouraudWire.cpp", "CTRTextureFlat.cpp", "CTRTextureFlatWire.cpp", "CTRTextureGouraud.cpp", "CTRTextureGouraudAdd.cpp", "CTRTextureGouraudNoZ.cpp", "CTRTextureGouraudWire.cpp", "CZBuffer.cpp", "COpenGLDriver.cpp", "COpenGLExtensionHandler.cpp", "COpenGLNormalMapRenderer.cpp", "COpenGLParallaxMapRenderer.cpp", "COpenGLShaderMaterialRenderer.cpp", "COpenGLSLMaterialRenderer.cpp", "COpenGLTexture.cpp", "CD3D8Driver.cpp", "CD3D8NormalMapRenderer.cpp", "CD3D8ParallaxMapRenderer.cpp", "CD3D8ShaderMaterialRenderer.cpp", "CD3D8Texture.cpp", "CColorConverter.cpp", "CFPSCounter.cpp", "CImage.cpp", "CNullDriver.cpp", "CImageWriterBMP.cpp", "CImageWriterJPG.cpp", "CImageWriterPCX.cpp", "CImageWriterPNG.cpp", "CImageWriterPPM.cpp", "CImageWriterPSD.cpp", "CImageWriterTGA.cpp", "CImageLoaderBMP.cpp", "CImageLoaderDDS.cpp", "CImageLoaderJPG.cpp", "CImageLoaderPCX.cpp", "CImageLoaderPNG.cpp", "CImageLoaderPPM.cpp", "CImageLoaderPSD.cpp", "CImageLoaderRGB.cpp", "CImageLoaderTGA.cpp", "CImageLoaderWAL.cpp", "CD3D9Driver.cpp", "CD3D9HLSLMaterialRenderer.cpp", "CD3D9NormalMapRenderer.cpp", "CD3D9ParallaxMapRenderer.cpp", "CD3D9ShaderMaterialRenderer.cpp", "CD3D9Texture.cpp", "CBurningShader_Raster_Reference.cpp", "CDepthBuffer.cpp", "CSoftwareDriver2.cpp", "CSoftwareTexture2.cpp", "CTRGouraud2.cpp", "CTRGouraudAlpha2.cpp", "CTRGouraudAlphaNoZ2.cpp", "CTRNormalMap.cpp", "CTRStencilShadow.cpp", "CTRTextureBlend.cpp", "CTRTextureDetailMap2.cpp", "CTRTextureGouraud2.cpp", "CTRTextureGouraudAdd2.cpp", "CTRTextureGouraudAddNoZ2.cpp", "CTRTextureGouraudAlpha.cpp", "CTRTextureGouraudAlphaNoZ.cpp", "CTRTextureGouraudNoZ2.cpp", "CTRTextureGouraudVertexAlpha2.cpp", "CTRTextureLightMap2_Add.cpp", "CTRTextureLightMap2_M1.cpp", "CTRTextureLightMap2_M2.cpp", "CTRTextureLightMap2_M4.cpp", "CTRTextureLightMapGouraud2_M4.cpp", "CTRTextureWire2.cpp", "IBurningShader.cpp", "CLogger.cpp", "COSOperator.cpp", "Irrlicht.cpp", "os.cpp", "lzma\\LzmaDec.c", "zlib\\adler32.c", "zlib\\compress.c", "zlib\\crc32.c", "zlib\\deflate.c", "zlib\\inffast.c", "zlib\\inflate.c", "zlib\\inftrees.c", "zlib\\trees.c", "zlib\\uncompr.c", "zlib\\zutil.c", "jpeglib\\jaricom.c", "jpeglib\\jcapimin.c", "jpeglib\\jcapistd.c", "jpeglib\\jcarith.c", "jpeglib\\jccoefct.c", "jpeglib\\jccolor.c", "jpeglib\\jcdctmgr.c", "jpeglib\\jchuff.c", "jpeglib\\jcinit.c", "jpeglib\\jcmainct.c", "jpeglib\\jcmarker.c", "jpeglib\\jcmaster.c", "jpeglib\\jcomapi.c", "jpeglib\\jcparam.c", "jpeglib\\jcprepct.c", "jpeglib\\jcsample.c", "jpeglib\\jctrans.c", "jpeglib\\jdapimin.c", "jpeglib\\jdapistd.c", "jpeglib\\jdarith.c", "jpeglib\\jdatadst.c", "jpeglib\\jdatasrc.c", "jpeglib\\jdcoefct.c", "jpeglib\\jdcolor.c", "jpeglib\\jddctmgr.c", "jpeglib\\jdhuff.c", "jpeglib\\jdinput.c", "jpeglib\\jdmainct.c", "jpeglib\\jdmarker.c", "jpeglib\\jdmaster.c", "jpeglib\\jdmerge.c", "jpeglib\\jdpostct.c", "jpeglib\\jdsample.c", "jpeglib\\jdtrans.c", "jpeglib\\jerror.c", "jpeglib\\jfdctflt.c", "jpeglib\\jfdctfst.c", "jpeglib\\jfdctint.c", "jpeglib\\jidctflt.c", "jpeglib\\jidctfst.c", "jpeglib\\jidctint.c", "jpeglib\\jmemmgr.c", "jpeglib\\jmemnobs.c", "jpeglib\\jquant1.c", "jpeglib\\jquant2.c", "jpeglib\\jutils.c", "libpng\\png.c", "libpng\\pngerror.c", "libpng\\pngget.c", "libpng\\pngmem.c", "libpng\\pngpread.c", "libpng\\pngread.c", "libpng\\pngrio.c", "libpng\\pngrtran.c", "libpng\\pngrutil.c", "libpng\\pngset.c", "libpng\\pngtrans.c", "libpng\\pngwio.c", "libpng\\pngwrite.c", "libpng\\pngwtran.c", "libpng\\pngwutil.c", "aesGladman\\aescrypt.cpp", "aesGladman\\aeskey.cpp", "aesGladman\\aestab.cpp", "aesGladman\\fileenc.cpp", "aesGladman\\hmac.cpp", "aesGladman\\prng.cpp", "aesGladman\\pwd2key.cpp", "aesGladman\\sha1.cpp", "aesGladman\\sha2.cpp", "bzip2\\blocksort.c", "bzip2\\bzcompress.c", "bzip2\\bzlib.c", "bzip2\\crctable.c", "bzip2\\decompress.c", "bzip2\\huffman.c", "bzip2\\randtable.c", "CIrrDeviceConsole.cpp", "CIrrDeviceFB.cpp", "CIrrDeviceLinux.cpp", "CIrrDeviceSDL.cpp", "CIrrDeviceStub.cpp", "CIrrDeviceWin32.cpp", "CIrrDeviceWinCE.cpp", "CAttributes.cpp", "CFileList.cpp", "CFileSystem.cpp", "CLimitReadFile.cpp", "CMemoryFile.cpp", "CMountPointReader.cpp", "CNPKReader.cpp", "CPakReader.cpp", "CReadFile.cpp", "CTarReader.cpp", "CWADReader.cpp", "CWriteFile.cpp", "CXMLReader.cpp", "CXMLWriter.cpp", "CZipReader.cpp", "irrXML.cpp", "CDefaultGUIElementFactory.cpp", "CGUIButton.cpp", "CGUICheckbox.cpp", "CGUIColorSelectDialog.cpp", "CGUIComboBox.cpp", "CGUIContextMenu.cpp", "CGUIEditBox.cpp", "CGUIEnvironment.cpp", "CGUIFileOpenDialog.cpp", "CGUIFont.cpp", "CGUIImage.cpp", "CGUIImageList.cpp", "CGUIInOutFader.cpp", "CGUIListBox.cpp", "CGUIMenu.cpp", "CGUIMeshViewer.cpp", "CGUIMessageBox.cpp", "CGUIModalScreen.cpp", "CGUIScrollBar.cpp", "CGUISkin.cpp", "CGUISpinBox.cpp", "CGUISpriteBank.cpp", "CGUIStaticText.cpp", "CGUITabControl.cpp", "CGUITable.cpp", "CGUIToolBar.cpp", "CGUITreeView.cpp", "CGUIWindow.cpp", "include\\EDriverFeatures.h", "include\\EMaterialFlags.h", "include\\IAnimatedMeshMD3.h", "include\\IEventReceiver.h", "include\\ILogger.h", "include\\IOSOperator.h", "include\\IRandomizer.h", "include\\IReferenceCounted.h", "include\\IrrCompileConfig.h", "include\\irrlicht.h", "include\\IrrlichtDevice.h", "include\\irrTypes.h", "include\\ITimer.h", "include\\Keycodes.h", "include\\SIrrCreationParameters.h", "include\\SKeyMap.h", "include\\EDriverTypes.h", "include\\IGeometryCreator.h", "include\\IGPUProgrammingServices.h", "include\\IImage.h", "include\\IImageLoader.h", "include\\IMaterialRenderer.h", "include\\IMaterialRendererServices.h", "include\\IShaderConstantSetCallBack.h", "include\\ITexture.h", "include\\IVideoDriver.h", "include\\IVideoModeList.h", "include\\S3DVertex.h", "include\\SColor.h", "include\\SExposedVideoData.h", "include\\SLight.h", "include\\SMaterial.h", "include\\SMaterialLayer.h", "include\\aabbox3d.h", "include\\coreutil.h", "include\\dimension2d.h", "include\\heapsort.h", "include\\irrAllocator.h", "include\\irrArray.h", "include\\irrList.h", "include\\irrMap.h", "include\\irrMath.h", "include\\irrString.h", "include\\line2d.h", "include\\line3d.h", "include\\matrix4.h", "include\\plane3d.h", "include\\position2d.h", "include\\quaternion.h", "include\\rect.h", "include\\triangle3d.h", "include\\vector2d.h", "include\\vector3d.h", "include\\EAttributes.h", "include\\IAttributeExchangingObject.h", "include\\IAttributes.h", "include\\IFileList.h", "include\\IFileSystem.h", "include\\IReadFile.h", "include\\irrXML.h", "include\\IWriteFile.h", "include\\IXMLReader.h", "include\\IXMLWriter.h", "include\\path.h", "include\\CDynamicMeshBuffer.h", "include\\CIndexBuffer.h", "include\\CMeshBuffer.h", "include\\CVertexBuffer.h", "include\\ECullingTypes.h", "include\\EDebugSceneTypes.h", "include\\EMeshWriterEnums.h", "include\\EPrimitiveTypes.h", "include\\ESceneNodeAnimatorTypes.h", "include\\ESceneNodeTypes.h", "include\\IAnimatedMesh.h", "include\\IAnimatedMeshMD2.h", "include\\IAnimatedMeshSceneNode.h", "include\\IBillboardSceneNode.h", "include\\ICameraSceneNode.h", "include\\IDummyTransformationSceneNode.h", "include\\ILightSceneNode.h", "include\\IMesh.h", "include\\IMeshBuffer.h", "include\\IMeshCache.h", "include\\IMeshLoader.h", "include\\IMeshManipulator.h", "include\\IMeshSceneNode.h", "include\\IMeshWriter.h", "include\\IMetaTriangleSelector.h", "include\\IParticleAffector.h", "include\\IParticleAnimatedMeshSceneNodeEmitter.h", "include\\IParticleAttractionAffector.h", "include\\IParticleBoxEmitter.h", "include\\IParticleCylinderEmitter.h", "include\\IParticleEmitter.h", "include\\IParticleFadeOutAffector.h", "include\\IParticleGravityAffector.h", "include\\IParticleMeshEmitter.h", "include\\IParticleRingEmitter.h", "include\\IParticleRotationAffector.h", "include\\IParticleSphereEmitter.h", "include\\IParticleSystemSceneNode.h", "include\\IQ3LevelMesh.h", "include\\IQ3Shader.h", "include\\ISceneCollisionManager.h", "include\\ISceneManager.h", "include\\ISceneLoader.h", "include\\ISceneNode.h", "include\\ISceneNodeAnimator.h", "include\\ISceneNodeAnimatorCameraFPS.h", "include\\ISceneNodeAnimatorCameraMaya.h", "include\\ISceneNodeAnimatorCollisionResponse.h", "include\\ISceneNodeAnimatorFactory.h", "include\\ISceneNodeFactory.h", "include\\IShadowVolumeSceneNode.h", "include\\ISkinnedMesh.h", "include\\ITerrainSceneNode.h", "include\\ITextSceneNode.h", "include\\ITriangleSelector.h", "include\\IVolumeLightSceneNode.h", "include\\SAnimatedMesh.h", "include\\SceneParameters.h", "include\\SMesh.h", "include\\SMeshBuffer.h", "include\\SMeshBufferLightMap.h", "include\\SMeshBufferTangents.h", "include\\SParticle.h", "include\\SSkinMeshBuffer.h", "include\\SViewFrustum.h", "include\\EGUIAlignment.h", "include\\EGUIElementTypes.h", "include\\EMessageBoxFlags.h", "include\\ICursorControl.h", "include\\IGUIButton.h", "include\\IGUICheckbox.h", "include\\IGUIComboBox.h", "include\\IGUIContextMenu.h", "include\\IGUIEditBox.h", "include\\IGUIElement.h", "include\\IGUIElementFactory.h", "include\\IGUIEnvironment.h", "include\\IGUIFileOpenDialog.h", "include\\IGUIFont.h", "include\\IGUIImage.h", "include\\IGUIImageList.h", "include\\IGUIInOutFader.h", "include\\IGUIListBox.h", "include\\IGUIMeshViewer.h", "include\\IGUIScrollBar.h", "include\\IGUISkin.h", "include\\IGUISpinBox.h", "include\\IGUISpriteBank.h", "include\\IGUIStaticText.h", "include\\IGUITabControl.h", "include\\IGUIToolbar.h", "include\\IGUITreeView.h", "include\\IGUIWindow.h", "CCgMaterialRenderer.h", "CD3D9CgMaterialRenderer.h", "CDefaultSceneNodeAnimatorFactory.h", "CDefaultSceneNodeFactory.h", "CGeometryCreator.h", "CMeshCache.h", "CMeshManipulator.h", "COpenGLCgMaterialRenderer.h", "CSceneManager.h", "Octree.h", "CSMFMeshFileLoader.h", "C3DSMeshFileLoader.h", "CAnimatedMeshHalfLife.h", "CAnimatedMeshMD2.h", "CAnimatedMeshMD3.h", "CB3DMeshFileLoader.h", "CBSPMeshFileLoader.h", "CColladaFileLoader.h", "CCSMLoader.h", "CDMFLoader.h", "CIrrMeshFileLoader.h", "CLMTSMeshFileLoader.h", "CLWOMeshFileLoader.h", "CMD2MeshFileLoader.h", "CMD3MeshFileLoader.h", "CMS3DMeshFileLoader.h", "CMY3DHelper.h", "CMY3DMeshFileLoader.h", "COBJMeshFileLoader.h", "COCTLoader.h", "COgreMeshFileLoader.h", "CPLYMeshFileLoader.h", "CQ3LevelMesh.h", "CSkinnedMesh.h", "CSTLMeshFileLoader.h", "CXMeshFileLoader.h", "dmfsupport.h", "CAnimatedMeshSceneNode.h", "CBillboardSceneNode.h", "CBoneSceneNode.h", "CCameraSceneNode.h", "CCubeSceneNode.h", "CDummyTransformationSceneNode.h", "CEmptySceneNode.h", "CLightSceneNode.h", "CMeshSceneNode.h", "COctreeSceneNode.h", "CQuake3ShaderSceneNode.h", "CShadowVolumeSceneNode.h", "CSkyBoxSceneNode.h", "CSkyDomeSceneNode.h", "CSphereSceneNode.h", "CTerrainSceneNode.h", "CTextSceneNode.h", "CVolumeLightSceneNode.h", "CWaterSurfaceSceneNode.h", "CParticleAnimatedMeshSceneNodeEmitter.h", "CParticleAttractionAffector.h", "CParticleBoxEmitter.h", "CParticleCylinderEmitter.h", "CParticleFadeOutAffector.h", "CParticleGravityAffector.h", "CParticleMeshEmitter.h", "CParticlePointEmitter.h", "CParticleRingEmitter.h", "CParticleRotationAffector.h", "CParticleScaleAffector.h", "CParticleSphereEmitter.h", "CParticleSystemSceneNode.h", "CMetaTriangleSelector.h", "COctreeTriangleSelector.h", "CSceneCollisionManager.h", "CTerrainTriangleSelector.h", "CTriangleBBSelector.h", "CTriangleSelector.h", "CSceneLoaderIrr.h", "CSceneNodeAnimatorCameraFPS.h", "CSceneNodeAnimatorCameraMaya.h", "CSceneNodeAnimatorCollisionResponse.h", "CSceneNodeAnimatorDelete.h", "CSceneNodeAnimatorFlyCircle.h", "CSceneNodeAnimatorFlyStraight.h", "CSceneNodeAnimatorFollowSpline.h", "CSceneNodeAnimatorRotation.h", "CSceneNodeAnimatorTexture.h", "CColladaMeshWriter.h", "CIrrMeshWriter.h", "COBJMeshWriter.h", "CPLYMeshWriter.h", "CSTLMeshWriter.h", "CVideoModeList.h", "CSoftwareDriver.h", "CSoftwareTexture.h", "CTRTextureGouraud.h", "CZBuffer.h", "ITriangleRenderer.h", "IZBuffer.h", "resource.h", "S2DVertex.h", "COpenGLDriver.h", "COpenGLExtensionHandler.h", "COpenGLMaterialRenderer.h", "COpenGLNormalMapRenderer.h", "COpenGLParallaxMapRenderer.h", "COpenGLShaderMaterialRenderer.h", "COpenGLSLMaterialRenderer.h", "COpenGLTexture.h", "glext.h", "wglext.h", "CD3D8Driver.h", "CD3D8MaterialRenderer.h", "CD3D8NormalMapRenderer.h", "CD3D8ParallaxMapRenderer.h", "CD3D8ShaderMaterialRenderer.h", "CD3D8Texture.h", "CColorConverter.h", "CFPSCounter.h", "CImage.h", "CNullDriver.h", "IImagePresenter.h", "CImageWriterBMP.h", "CImageWriterJPG.h", "CImageWriterPCX.h", "CImageWriterPNG.h", "CImageWriterPPM.h", "CImageWriterPSD.h", "CImageWriterTGA.h", "CImageLoaderBMP.h", "CImageLoaderDDS.h", "CImageLoaderJPG.h", "CImageLoaderPCX.h", "CImageLoaderPNG.h", "CImageLoaderPPM.h", "CImageLoaderPSD.h", "CImageLoaderRGB.h", "CImageLoaderTGA.h", "CImageLoaderWAL.h", "CD3D9Driver.h", "CD3D9HLSLMaterialRenderer.h", "CD3D9MaterialRenderer.h", "CD3D9NormalMapRenderer.h", "CD3D9ParallaxMapRenderer.h", "CD3D9ShaderMaterialRenderer.h", "CD3D9Texture.h", "CDepthBuffer.h", "CSoftware2MaterialRenderer.h", "CSoftwareDriver2.h", "CSoftwareTexture2.h", "IBurningShader.h", "IDepthBuffer.h", "S4DVertex.h", "SoftwareDriver2_compile_config.h", "SoftwareDriver2_helper.h", "CLogger.h", "COSOperator.h", "CTimer.h", "os.h", "lzma\\LzmaDec.h", "lzma\\Types.h", "zlib\\crc32.h", "zlib\\deflate.h", "zlib\\inffast.h", "zlib\\inffixed.h", "zlib\\inftrees.h", "zlib\\trees.h", "zlib\\zconf.h", "zlib\\zlib.h", "zlib\\zutil.h", "jpeglib\\cderror.h", "jpeglib\\jconfig.h", "jpeglib\\jdct.h", "jpeglib\\jerror.h", "jpeglib\\jinclude.h", "jpeglib\\jmemsys.h", "jpeglib\\jmorecfg.h", "jpeglib\\jpegint.h", "jpeglib\\jpeglib.h", "jpeglib\\jversion.h", "libpng\\png.h", "libpng\\pngconf.h", "aesGladman\\aes.h", "aesGladman\\aesopt.h", "aesGladman\\fileenc.h", "aesGladman\\hmac.h", "aesGladman\\prng.h", "aesGladman\\pwd2key.h", "aesGladman\\sha1.h", "aesGladman\\sha2.h", "bzip2\\bzlib.h", "bzip2\\bzlib_private.h", "CIrrDeviceConsole.h", "CIrrDeviceFB.h", "CIrrDeviceLinux.h", "CIrrDeviceSDL.h", "CIrrDeviceStub.h", "CIrrDeviceWin32.h", "CIrrDeviceWinCE.h", "CAttributeImpl.h", "CAttributes.h", "CFileList.h", "CFileSystem.h", "CLimitReadFile.h", "CMemoryFile.h", "CMountPointReader.h", "CNPKReader.h", "CPakReader.h", "CReadFile.h", "CTarReader.h", "CWADReader.h", "CWriteFile.h", "CXMLReader.h", "CXMLReaderImpl.h", "CXMLWriter.h", "CZipReader.h", "IAttribute.h", "BuiltInFont.h", "CDefaultGUIElementFactory.h", "CGUIButton.h", "CGUICheckbox.h", "CGUIColorSelectDialog.h", "CGUIComboBox.h", "CGUIContextMenu.h", "CGUIEditBox.h", "CGUIEnvironment.h", "CGUIFileOpenDialog.h", "CGUIFont.h", "CGUIImage.h", "CGUIImageList.h", "CGUIInOutFader.h", "CGUIListBox.h", "CGUIMenu.h", "CGUIMeshViewer.h", "CGUIMessageBox.h", "CGUIModalScreen.h", "CGUIScrollBar.h", "CGUISkin.h", "CGUISpinBox.h", "CGUISpriteBank.h", "CGUIStaticText.h", "CGUITabControl.h", "CGUITable.h", "CGUIToolBar.h", "CGUITreeView.h", "CGUIWindow.h" }
    configuration { "vs*" }
        defines { "IRRLICHT_FAST_MATH" }
            includedirs { "$(DXSDK_DIR)include" }
        libdirs { "$(DXSDK_DIR)Lib\\x86" }
    configuration { "windows" }
        links { "imm32" }
